Bug 1660928 - Rollbacks with Cockpit
Summary: Rollbacks with Cockpit
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: cockpit
Version: 7.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: beta
: ---
Assignee: Martin Pitt
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On: 1663940 1663915
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-19 15:47 UTC by Terry Bowling
Modified: 2019-06-04 05:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1660923
Environment:
Last Closed: 2019-06-04 05:45:31 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Terry Bowling 2018-12-19 15:47:08 UTC
+++ This bug was initially created as a clone of Bug #1660923 +++

Ability to perform system rollbacks in Cockpit to provide the ability for customers to rollback changes or package updates after making system changes.

Probably this will involve using LVM snapshots and BOOM similar to the inplace upgrade tooling.

Further details and user stories can be found in Jira.


Feature request https://projects.engineering.redhat.com/browse/RHELBU-38
User story https://projects.engineering.redhat.com/browse/RHELSYSMGT-78

Comment 2 Martin Pitt 2019-01-07 10:41:34 UTC
Adding two blocker bugs. We can work around bug 1663915 in Cockpit, but bug 1663864 is rather nasty and will break booting pretty hard in a lot of scenarios.

Details on https://projects.engineering.redhat.com/browse/RHELBU-38

Comment 3 Martin Pitt 2019-03-13 09:59:28 UTC
Unsetting the target release, as it turns out this needs to wait for the snapshot-manager API, it's too brittle/dangerous to offer it with just basic LVM tools. So maybe 7.8, or if that doesn't get new features any more, just 8.x.

Comment 4 Martin Pitt 2019-06-04 05:45:31 UTC
Corresponding to https://projects.engineering.redhat.com/browse/RHELBU-38, I close this for RHEL 7. It requires an entirely new API (snapshot-manager) to work reliably, and it's getting too late for RHEL 7.7. This will be a RHEL 8 feature.


Note You need to log in before you can comment on or make changes to this bug.